Microsoft.OData.EntityFrameworkProvider 1.0.0-alpha1

Out-of-band WCF Data Services provider that allows Entity Framework 6+ DbContext to be used. This package should be used in addition to the EntityFramework and Microsoft.Data.Services NuGet packages. Targets .NET 4.0. Localized for CHS, CHT, DEU, ESN, FRA, ITA, JPN, KOR and RUS.

This is a prerelease version of Microsoft.OData.EntityFrameworkProvider.
There is a newer prerelease version of this package available.
See the version list below for details.
The owner has unlisted this package. This could mean that the package is deprecated or shouldn't be used anymore.
Install-Package Microsoft.OData.EntityFrameworkProvider -Version 1.0.0-alpha1
dotnet add package Microsoft.OData.EntityFrameworkProvider --version 1.0.0-alpha1
<PackageReference Include="Microsoft.OData.EntityFrameworkProvider" Version="1.0.0-alpha1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Microsoft.OData.EntityFrameworkProvider --version 1.0.0-alpha1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

See https://blogs.msdn.com/b/astoriateam/archive/2013/10/02/using-wcf-data-services-5-6-0-with-entity-framework-6.aspx for release announcement and usage details. Note that in addition to upgrading to EF 6+, you will need to make a code change to your DataService.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
1.0.0-beta2 179,478 8/8/2014
1.0.0-beta1 3,653 8/1/2014
1.0.0-alpha2 31,992 10/2/2013